<?php
/**
 * Traits for Elementor single page editor
 *
 * @package RT_TPG_PRO
 */

namespace RT\ThePostGridPro\Traits;

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'This script cannot be accessed directly.' );
}

/**
 * Traits for Elementor single page editor
 */
trait ListingItem {
	use ELTempleateBuilderTraits;

	/**
	 * Listing last Item id return
	 */
	public static function get_prepared_listing_id() {
		if ( is_singular( self::$tpg_post_types ) ) {
			return get_the_ID();
		}

		global $wpdb;
		$cache_key = 'tpgp_last_post_id';
		$_post_id  = get_transient( $cache_key );

		if ( false === $_post_id || 'publish' !== get_post_status( $_post_id ) ) {
			delete_transient( $cache_key );
			$_post_id = $wpdb->get_var(
				$wpdb->prepare( "SELECT MAX(ID) FROM {$wpdb->prefix}posts WHERE post_type =  %s AND post_status = %s", self::$tpg_post_types, 'publish' )
			);
			set_transient( $cache_key, $_post_id, 12 * HOUR_IN_SECONDS );
		}

		return $_post_id;

	}

}
